#
# spec file for package perl-AnyEvent-Connector
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name AnyEvent-Connector
Name:           perl-AnyEvent-Connector
Version:        0.40.0
Release:        2.1
%define cpan_version 0.04
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Tcp_connect with transparent proxy handling
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOSHIOITO/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent::Handle)
BuildRequires:  perl(AnyEvent::Socket)
BuildRequires:  perl(Module::Build) >= 0.42
BuildRequires:  perl(Module::Build::Prereqs::FromCPANfile) >= 0.02
BuildRequires:  perl(Net::EmptyPort)
BuildRequires:  perl(URI)
Requires:       perl(AnyEvent::Handle)
Requires:       perl(AnyEvent::Socket)
Requires:       perl(URI)
Provides:       perl(AnyEvent::Connector) = 0.40.0
Provides:       perl(AnyEvent::Connector::Proxy::http)
%undefine       __perllib_provides
%{perl_requires}

%description
AnyEvent::Connector object has 'tcp_connect' method compatible with that
from AnyEvent::Socket, and it handles proxy settings transparently.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Wed Nov  8 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.04
  see /usr/share/doc/packages/perl-AnyEvent-Connector/Changes
  0.04    2023-11-07
    [Bug fix]
    fix probable memory leak (gh#2)
* Mon May 11 2020 Frank Schreiner <FSchreiner@suse.com>
- initial version of package (0.03)
  - added manual Provides for perl(AnyEvent::Connector)
